Public Class LinearSpecific
    Inherits CommonImpementation
    Private Sub TextSpacing_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtTextSpacing.TextChanged
        If OnStartUp = False Then
            Barcode.CharacterGrouping = Val(txtTextSpacing.Text)
            PicBox.Image = getImage()
        End If
    End Sub

    Private Sub chkShowCheckDigit_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkShowCheckDigit.CheckedChanged
        If OnStartUp = False Then
            If chkShowCheckDigit.Checked = True Then
                Barcode.CheckCharacterInText = True
            Else
                Barcode.CheckCharacterInText = False
            End If
            PicBox.Image = getImage()
        End If
    End Sub

    Private Sub chkUseCheckDigit_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkUseCheckDigit.CheckedChanged
        If OnStartUp = False Then
            If cboSymbology.Text = "CODE128" Then
                MsgBox("NOTE: The Use Check Digit setting has no effect for Code 128 because Code 128 requires a MOD 103 check digit that cannot usually be entered manually.")
            End If

            If chkUseCheckDigit.Checked = True Then
                Barcode.CheckCharacter = True
            Else
                Barcode.CheckCharacter = False
            End If
            PicBox.Image = getImage()
        End If
    End Sub

    Private Sub ShortBar_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtShortBar.TextChanged
        If OnStartUp = False Then
            If Val(txtShortBar.Text) > 0 And Val(txtShortBar.Text) < 10 Then
                If mnuSetToMetric.Checked = True Then
                    Barcode.PostnetHeightShort = Val(txtShortBar.Text)
                Else
                    Barcode.PostnetHeightShort = ConvertInchestoCM(txtShortBar.Text)
                End If
            Else
                Barcode.PostnetHeightShort = "0.127"
            End If
            PicBox.Image = getImage()
        End If
    End Sub

    Private Sub W2NRatio_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtW2NRatio.TextChanged
        If OnStartUp = False Then
            If Val(txtW2NRatio.Text) > 0 And Val(txtW2NRatio.Text) < 10 Then
                Barcode.NarrowToWideRatio = Val(txtW2NRatio.Text)
                PicBox.Image = getImage()
            End If
        End If
    End Sub

    Private Sub cboSymbology_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboSymbology.SelectedIndexChanged
        If OnStartUp = False Then
            Barcode.SymbologyID = Barcode.sybologyIDfromName(cboSymbology.SelectedItem)
            If Barcode.SymbologyID.ToString().Equals("Postnet") = True Or Barcode.SymbologyID.ToString().Equals("Planet") = True Then
                If mnuSetToMetric.Checked = True Then
                    Barcode.XDimensionCM = ".045"
                    txtXCM.Text = ".045"
                Else
                    txtXCM.Text = Val(ConvertCMtoInches(".045")) * 1000
                End If
            End If
            ''12/18/2008 If IntelligentMail selected remove ApplyTilde and chkUseCheckDigit
            If Barcode.SymbologyID.ToString().Equals("IntelligentMail") = True Or Barcode.SymbologyID.ToString().Equals("Postnet") = True Or Barcode.SymbologyID.ToString().Equals("Planet") = True Then
                ApplyTilde.Visible = False
                chkUseCheckDigit.Visible = False
                txtShortBar.Visible = True
                lblShortBar.Visible = True
            Else
                ApplyTilde.Visible = True
                chkUseCheckDigit.Visible = True
                txtShortBar.Visible = False
                lblShortBar.Visible = False
            End If

            If Barcode.SymbologyID.ToString().Equals("Code128") = True Or Barcode.SymbologyID.ToString().Equals("UCC128") = True Then
                ApplyTilde.Enabled = True
            Else
                ApplyTilde.Enabled = False
            End If
            PicBox.Image = getImage()
        End If
    End Sub

    Private Sub TextBearerVertical_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtBearerVertical.TextChanged
        If OnStartUp = False Then
            Barcode.BearerBarVertical = Val(txtBearerVertical.Text)
            PicBox.Image = getImage()
        End If
    End Sub

    Private Sub TextBearerHorizontal_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtBearerHorizontal.TextChanged
        If OnStartUp = False Then
            Barcode.BearerBarHorizontal = Val(txtBearerHorizontal.Text)
            PicBox.Image = getImage()
        End If
    End Sub

    Private Sub TextWhiteBarIncrease_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtWhiteBarIncrease.TextChanged
        If OnStartUp = False Then
            Barcode.WhiteBarIncrease = txtWhiteBarIncrease.Text
            PicBox.Image = getImage()
        End If
    End Sub
End Class
